#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kjsembed

%define rel 2

Summary:        KDE Frameworks 5 Tier 3 addon with JS scripting engine
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Svg)

BuildRequires:  cmake(KF5Archive) >= %version
BuildRequires:  cmake(KF5JS) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version

Provides:       %{framework} = %{version}-%{release}
Obsoletes:      kjsembed < 5.113.0


%description
KDE Frameworks 5 Tier 3 addon with JS scripting engine.

%files -f kjsembed5.lang
%_kf5_bindir/kjscmd5
%_kf5_bindir/kjsconsole
%_kf5_mandir/man1/kjscmd5.1.*
%_kf5_mandir/*/man1/kjscmd5.1.*

#--------------------------------------------------------------------

%define kf5jsembed_major 5
%define libkf5jsembed %mklibname kf5jsembed %{kf5jsembed_major}

%package -n %libkf5jsembed
Summary:        KDE Frameworks 5 Tier 3 addon with JS scripting engine
Group:          System/Libraries

%description -n %libkf5jsembed
KDE Frameworks 5 Tier 3 addon with JS scripting engine.

%files -n %libkf5jsembed
%_kf5_libdir/libKF5JsEmbed.so.%{kf5jsembed_major}{,.*}

#--------------------------------------------------------------------

%define kf5jsembed_devel %mklibname kf5jsembed -d

%package -n %kf5jsembed_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5jsembed = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5jsembed_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5jsembed_devel
%_kf5_includedir/KJsEmbed/
%_kf5_libdir/cmake/KF5JsEmbed/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang kjsembed5


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 5.116.0-2.mga10
+ Revision: 2222946
- Mageia 10 Mass Rebuild

* Mon May 20 2024 daviddavid <daviddavid> 5.116.0-1.mga10
+ Revision: 2064951
- New version 5.116.0

* Mon Feb 12 2024 daviddavid <daviddavid> 5.115.0-1.mga10
+ Revision: 2040576
- New version 5.115.0

* Mon Feb 05 2024 daviddavid <daviddavid> 5.114.0-2.mga10
+ Revision: 2037238
- rebuild to remove old pkgs from kjsembed

* Sat Jan 20 2024 daviddavid <daviddavid> 5.114.0-1.mga10
+ Revision: 2032325
- New version 5.114.0

* Sun Jan 07 2024 daviddavid <daviddavid> 5.113.0-2.mga10
+ Revision: 2028805
- obsoletes/provides properly old kjsembed name

* Sat Jan 06 2024 daviddavid <daviddavid> 5.113.0-1.mga10
+ Revision: 2028187
- New version 5.113.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952059
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947862
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941368
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935018
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922266
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911633
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900237
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887672
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880619
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871759
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853646
- New version 5.93.0

* Wed Apr 06 2022 umeabot <umeabot> 5.92.0-2.mga9
+ Revision: 1845561
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.92.0

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754847
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749098
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735280
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723473
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714867
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702045
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691137
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653352
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633204
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625627
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612336
- New version 5.73.0

* Thu Jul 09 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603374
- New version 5.72.0

* Tue Jun 16 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1593781
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582029
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566520
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556696
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546749
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486833
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466243
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457628
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451010
- New version 5.63.0

* Tue Sep 24 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1445229
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420455
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386950
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382593
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374995
- New version 5.56.0
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364552
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356762
- New version 5.54.0
- New version 5.54.0

* Mon Dec 17 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1342408
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318978
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298570
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247328
- New version 5.49.0

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229266
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192297
- New version 5.42.0

* Thu Dec 28 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1186201
- New version 5.41.0

* Tue Oct 03 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1167937
- New version 5.38.0
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140415
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123516
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088979
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074551
- New version 5.29.0

* Tue Dec 06 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072769
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058370
- New version 5.27.0

* Sun Sep 11 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1051416
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045125
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041347
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1036749
- fix filelist
- add missing tarball
+ neoclust <neoclust>
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014355
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999606
- New version 5.21.0
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942264
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921327
- New version 5.18.0

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909917
- New version 5.17.0
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900577
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899387
- Rebuild against fixed extra-cmake-modules
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888204
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881428
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862989
- New version 5.13.0
- Plasma Mass Rebuild - Rebuild for new kf5-macros
- New version 5.12.0

* Wed Jul 01 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849303
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804066
- New version 5.5.0
- New version 5.1.0
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jul 19 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653768
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611292
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599825
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597466
- imported package kjsembed

